Permalink
Browse files

Checking in changes prior to tagging of version 0.9942.

Changelog diff is:

diff --git a/Changes b/Changes
index c30dcb2..658e361 100644
--- a/Changes
+++ b/Changes
@@ -2,6 +2,12 @@ Revision history for Perl extension Plack

 Take a look at http://github.com/miyagawa/Plack/issues for the planned changes before 1.0 release.

+0.9942  Fri Jul 23 23:42:43 PDT 2010
+        - Allow passing FCGI manager object to Handler::FCGI (confound)
+        - Call FCGI::Request::Finish() before pm_post_dispatch (confound)
+        - Moved response_cb() to Plack::Util (confound)
+        - re-enable WithLexicals now that PadWalker segfaults with 5.12 is fixed #98
+
 0.9941  Thu Jul  8 18:17:30 PDT 2010
         - Makes Lint not warn about ASCII-only strings with UTF8 flag because they're safe
  • Loading branch information...
1 parent 9e12e02 commit 1a148d37522bc7b4c769f8367383e569e798f5df @miyagawa miyagawa committed Jul 24, 2010
Showing with 10 additions and 4 deletions.
  1. +6 −0 Changes
  2. +1 −1 lib/Plack.pm
  3. +1 −1 lib/Plack/Request.pm
  4. +1 −1 lib/Plack/Response.pm
  5. +1 −1 lib/Plack/Server/ServerSimple.pm
View
@@ -2,6 +2,12 @@ Revision history for Perl extension Plack
Take a look at http://github.com/miyagawa/Plack/issues for the planned changes before 1.0 release.
+0.9942 Fri Jul 23 23:42:43 PDT 2010
+ - Allow passing FCGI manager object to Handler::FCGI (confound)
+ - Call FCGI::Request::Finish() before pm_post_dispatch (confound)
+ - Moved response_cb() to Plack::Util (confound)
+ - re-enable WithLexicals now that PadWalker segfaults with 5.12 is fixed #98
+
0.9941 Thu Jul 8 18:17:30 PDT 2010
- Makes Lint not warn about ASCII-only strings with UTF8 flag because they're safe
View
@@ -3,7 +3,7 @@ package Plack;
use strict;
use warnings;
use 5.008_001;
-our $VERSION = '0.9941';
+our $VERSION = '0.9942';
$VERSION = eval $VERSION;
1;
View
@@ -2,7 +2,7 @@ package Plack::Request;
use strict;
use warnings;
use 5.008_001;
-our $VERSION = '0.9941';
+our $VERSION = '0.9942';
$VERSION = eval $VERSION;
use HTTP::Headers;
View
@@ -1,7 +1,7 @@
package Plack::Response;
use strict;
use warnings;
-our $VERSION = '0.9941';
+our $VERSION = '0.9942';
$VERSION = eval $VERSION;
use Plack::Util::Accessor qw(body status);
@@ -1,6 +1,6 @@
package Plack::Server::ServerSimple;
use strict;
-our $VERSION = '0.9941';
+our $VERSION = '0.9942';
$VERSION = eval $VERSION;
use parent qw(Plack::Handler::HTTP::Server::Simple);

0 comments on commit 1a148d3

Please sign in to comment.